Author Topic: 17.12 download for Debian / Ubuntu - broken dependencies  (Read 1774 times)

Offline awake

  • Multiple posting newcomer
  • *
  • Posts: 31
17.12 download for Debian / Ubuntu - broken dependencies
« on: January 05, 2018, 11:43:48 pm »
There seem to be cross-dependency errors in the .deb files available for download - the -headers.deb depends on the -dev.deb, but the -dev.deb depends on the -headers.deb (not sure I'm remembering the exact files, but something like that).

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6221
    • My Best Post
Re: 17.12 download for Debian / Ubuntu - broken dependencies
« Reply #1 on: January 06, 2018, 12:08:25 am »
There seem to be cross-dependency errors in the .deb files available for download - the -headers.deb depends on the -dev.deb, but the -dev.deb depends on the -headers.deb (not sure I'm remembering the exact files, but something like that).

The normal install method uses *.deb to get around the issue.

Tim S.
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Testing, compiling CB Trunk against wxWidgets 3.0.2.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline awake

  • Multiple posting newcomer
  • *
  • Posts: 31
Re: 17.12 download for Debian / Ubuntu - broken dependencies
« Reply #2 on: January 06, 2018, 04:40:47 am »
Yes, of course. That's what I did; it didn't work, reporting cross dependencies.

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7258
    • Jens' unofficial debian-repository for the Code::Blocks - IDE
Re: 17.12 download for Debian / Ubuntu - broken dependencies
« Reply #3 on: January 06, 2018, 04:41:27 pm »
Yes, of course. That's what I did; it didn't work, reporting cross dependencies.
I just uploaded a new version (17.12-1) that should fix it.
Can you test and give feedback ?

Offline awake

  • Multiple posting newcomer
  • *
  • Posts: 31
Re: 17.12 download for Debian / Ubuntu - broken dependencies
« Reply #4 on: January 06, 2018, 06:34:54 pm »
Jens, thanks for the update. This new version almost works - it breaks looking for libhunspell 1.4, but I have libhunspell 1.6 installed.

Out of curiosity, what version of wxWidgets is this compiled against?

Never mind, I ran it and saw that it is compiled against wx3.02. Based on minimal testing, it looks like it all works except for the spell checking plugin (not exactly a surprise, since libhunspell is the problem).

Presumably I could load the earlier version of libhunspell and get it all working right, but for the moment I'll compile it against wx3.03 and see how it runs ...
« Last Edit: January 06, 2018, 06:38:22 pm by awake »

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7258
    • Jens' unofficial debian-repository for the Code::Blocks - IDE
Re: 17.12 download for Debian / Ubuntu - broken dependencies
« Reply #5 on: January 07, 2018, 12:39:14 am »
Jens, thanks for the update. This new version almost works - it breaks looking for libhunspell 1.4, but I have libhunspell 1.6 installed.

Out of curiosity, what version of wxWidgets is this compiled against?

Never mind, I ran it and saw that it is compiled against wx3.02. Based on minimal testing, it looks like it all works except for the spell checking plugin (not exactly a surprise, since libhunspell is the problem).

Presumably I could load the earlier version of libhunspell and get it all working right, but for the moment I'll compile it against wx3.03 and see how it runs ...
Are you sure you use the correct version ?
Debian testing has libhunspell 1.6 and my package is build in an uptodate testing chroot, and looking into the codeblocks-contrib package I see a dependency on libhunspell-1.6-0 .

Offline awake

  • Multiple posting newcomer
  • *
  • Posts: 31
Re: 17.12 download for Debian / Ubuntu - broken dependencies
« Reply #6 on: January 07, 2018, 07:15:21 pm »
Hmm - not sure what happened, but it was complaining but needing hunspell 1.4 when I tried it. (hunspell 1.6, both lib and dev, were/are installed). I have gone ahead and compiled wx3.03 as a monolithic library and compiled c:b 17.12 against it, and all seems to have worked fine. Still testing to see if there are any bugs or gotchas, but so far mostly smooth sailing ... one crash, but not sure what caused it.

Offline The_GTA

  • Single posting newcomer
  • *
  • Posts: 8
  • Developer
    • Magic.TXD
Re: 17.12 download for Debian / Ubuntu - broken dependencies
« Reply #7 on: January 11, 2018, 09:51:02 pm »
Anyone know when Code::Blocks 17.12 will be available on Ubuntu artful (17.10)? When doing "apt-get install codeblocks" I still get CB 16.01. Tried installing it manually, ran into some errors (possibly stated in this thread, idk) and gave up because I am using WSL on a non-insider build.

Offline oBFusCATed

  • Developer
  • Lives here!
  • *****
  • Posts: 10834
    • Travis build status
Re: 17.12 download for Debian / Ubuntu - broken dependencies
« Reply #8 on: January 11, 2018, 11:07:20 pm »
You should ask the maintainers of ubuntu package of codeblocks.
Open issue on launchpad and I guess you need to advertise it, so people could vote for it.
(most of the time I ignore long posts)
[strangers don't send me private messages, I'll ignore them; post a topic in the forum, but first read the rules!]

Offline iongion

  • Single posting newcomer
  • *
  • Posts: 1
Re: 17.12 download for Debian / Ubuntu - broken dependencies
« Reply #9 on: January 29, 2018, 02:08:16 pm »
On and up to date 16.04, I got stuck while installing the debs:

Code: [Select]
dpkg: dependency problems prevent configuration of codeblocks-contrib:
 codeblocks-contrib depends on libboost-system1.62.0; however:
  Package libboost-system1.62.0 is not installed.
 codeblocks-contrib depends on libhunspell-1.4-0; however:
  Package libhunspell-1.4-0 is not installed.

dpkg: error processing package codeblocks-contrib (--install):
 dependency problems - leaving unconfigured

There is no libboost-system1.62.0, I only have(apt-cache earch libboost):
Code: [Select]
libboost-date-time1.58.0 - set of date-time libraries based on generic programming concepts
libboost-dbg - Boost C++ Libraries with debug symbols (default version)
libboost-dev - Boost C++ Libraries development files (default version)
libboost-doc - Boost.org libraries documentation (default version)
libboost-filesystem1.58.0 - filesystem operations (portable paths, iteration over directories, etc) in C++
libboost-iostreams1.58.0 - Boost.Iostreams Library
libboost-program-options-dev - program options library for C++ (default version)
libboost-program-options1.58-dev - program options library for C++
libboost-program-options1.58.0 - program options library for C++
libboost-random1.58.0 - Boost Random Number Library
libboost-regex1.58.0 - regular expression library for C++
libboost-system1.58.0 - Operating system (e.g. diagnostics support) library
libboost-thread1.58.0 - portable C++ multi-threading
libboost1.58-dbg - Boost C++ Libraries with debug symbols
libboost1.58-dev - Boost C++ Libraries development files
libboost1.58-doc - Boost.org libraries documentation
libboost1.58-tools-dev - Boost C++ Libraries development tools
libboost-all-dev - Boost C++ Libraries development files (ALL) (default version)
libboost-atomic-dev - atomic data types, operations, and memory ordering constraints (default version)
libboost-atomic1.58-dev - atomic data types, operations, and memory ordering constraints
libboost-atomic1.58.0 - atomic data types, operations, and memory ordering constraints
libboost-chrono-dev - C++ representation of time duration, time point, and clocks (default version)
libboost-chrono1.58-dev - C++ representation of time duration, time point, and clocks
libboost-chrono1.58.0 - C++ representation of time duration, time point, and clocks
libboost-context-dev - provides a sort of cooperative multitasking on a single thread (default version)
libboost-context1.58-dev - provides a sort of cooperative multitasking on a single thread
libboost-context1.58.0 - provides a sort of cooperative multitasking on a single thread
libboost-coroutine-dev - provides a sort of cooperative multitasking on a single thread (default version)
libboost-coroutine1.58-dev - provides a sort of cooperative multitasking on a single thread
libboost-coroutine1.58.0 - provides a sort of cooperative multitasking on a single thread
libboost-date-time-dev - set of date-time libraries based on generic programming concepts (default version)
libboost-date-time1.58-dev - set of date-time libraries based on generic programming concepts
libboost-exception-dev - library to help write exceptions and handlers (default version)
libboost-exception1.58-dev - library to help write exceptions and handlers
libboost-filesystem-dev - filesystem operations (portable paths, iteration over directories, etc) in C++ (default version)
libboost-filesystem1.58-dev - filesystem operations (portable paths, iteration over directories, etc) in C++
libboost-geometry-utils-perl - Perl module providing bindings to the Boost Geometry library
libboost-graph-dev - generic graph components and algorithms in C++ (default version)
libboost-graph-parallel-dev - generic graph components and algorithms in C++ (default version)
libboost-graph-parallel1.58-dev - generic graph components and algorithms in C++
libboost-graph-parallel1.58.0 - generic graph components and algorithms in C++
libboost-graph1.58-dev - generic graph components and algorithms in C++
libboost-graph1.58.0 - generic graph components and algorithms in C++
libboost-iostreams-dev - Boost.Iostreams Library development files (default version)
libboost-iostreams1.58-dev - Boost.Iostreams Library development files
libboost-locale-dev - C++ facilities for localization (default version)
libboost-locale1.58-dev - C++ facilities for localization
libboost-locale1.58.0 - C++ facilities for localization
libboost-log-dev - C++ logging library (default version)
libboost-log1.58-dev - C++ logging library
libboost-log1.58.0 - C++ logging library
libboost-math-dev - Boost.Math Library development files (default version)
libboost-math1.58-dev - Boost.Math Library development files
libboost-math1.58.0 - Boost.Math Library
libboost-mpi-dev - C++ interface to the Message Passing Interface (MPI) (default version)
libboost-mpi-python-dev - C++ interface to the Message Passing Interface (MPI), Python Bindings (default version)
libboost-mpi-python1.58-dev - C++ interface to the Message Passing Interface (MPI), Python Bindings
libboost-mpi-python1.58.0 - C++ interface to the Message Passing Interface (MPI), Python Bindings
libboost-mpi1.58-dev - C++ interface to the Message Passing Interface (MPI)
libboost-mpi1.58.0 - C++ interface to the Message Passing Interface (MPI)
libboost-python-dev - Boost.Python Library development files (default version)
libboost-python1.58-dev - Boost.Python Library development files
libboost-python1.58.0 - Boost.Python Library
libboost-random-dev - Boost Random Number Library (default version)
libboost-random1.58-dev - Boost Random Number Library
libboost-regex-dev - regular expression library for C++ (default version)
libboost-regex1.58-dev - regular expression library for C++
libboost-serialization-dev - serialization library for C++ (default version)
libboost-serialization1.58-dev - serialization library for C++
libboost-serialization1.58.0 - serialization library for C++
libboost-signals-dev - managed signals and slots library for C++ (default version)
libboost-signals1.58-dev - managed signals and slots library for C++
libboost-signals1.58.0 - managed signals and slots library for C++
libboost-system-dev - Operating system (e.g. diagnostics support) library (default version)
libboost-system1.58-dev - Operating system (e.g. diagnostics support) library
libboost-test-dev - components for writing and executing test suites (default version)
libboost-test1.58-dev - components for writing and executing test suites
libboost-test1.58.0 - components for writing and executing test suites
libboost-thread-dev - portable C++ multi-threading (default version)
libboost-thread1.58-dev - portable C++ multi-threading
libboost-timer-dev - C++ wall clock and CPU process timers (default version)
libboost-timer1.58-dev - C++ wall clock and CPU process timers
libboost-timer1.58.0 - C++ wall clock and CPU process timers
libboost-tools-dev - Boost C++ Libraries development tools (default version)
libboost-wave-dev - C99/C++ preprocessor library (default version)
libboost-wave1.58-dev - C99/C++ preprocessor library
libboost-wave1.58.0 - C99/C++ preprocessor library
libboost1.58-all-dev - Boost C++ Libraries development files (ALL)